No announcement yet.

Ubuntu Planning For HTML5, SDK Improvements

  • Filter
  • Time
  • Show
Clear All
new posts

  • Ubuntu Planning For HTML5, SDK Improvements

    Phoronix: Ubuntu Planning For HTML5, SDK Improvements

    Ubuntu developers can soon look forward to many improvements in the Ubuntu App development platform via its SDK...

  • #2
    As an Ubuntu app developer, I'm delighted to hear this. The SDK is pretty functional, but it definitely needs some boot polish.


    • #3
      I'm in Ubuntu 14.04 development branch and I'm having trouble getting HTML5 application working. Following the tutorial, I don't have rss-sample.qml in my project. All I have is js/app.js, index.html, plugins.xml, and rss-sample.desktop. I didn't have HTML5 Touch UI, but HTML5 Tabbed Touch UI as my template.

      The error message I have is

      Starting ubuntu-html5-app-launcher --www=/home/grayson/Documents/ubuntu-sdk/rss-sample
      Setting import path to:  /home/grayson/Documents/ubuntu-sdk/rss-sample 
      WARNING: This project is using the experimental QML API extensions for QtWebKit and is therefore tied to a specific QtWebKit release.
      WARNING: The experimental API will change from version to version, or even be removed. You have been warned!
      virtual void ContentHubPlugin::registerTypes(const char*) 
      	Could not determine application identifier. HUD will not work properly.
      	Provide your application identifier in $APP_ID environment variable.
      Cannot create CordovaView object.
      Falling back on the plain Webview backend.
      ** (process:8180): WARNING **: Unable to register app: GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: Invalid application ID
      I might wait until things get worked out when Ubuntu 14.04 comes out. I didn't modify the code.


      • #4
        Tutorial link here:

        Sorry, I didn't edit my post within a stupid 5 minute time limit.